Name:           guile-avahi
Version:        0.4.1
Release:        1%{?dist}
Summary:        Guile bindings for avahi

License:        LGPL-3.0-or-later
URL:            https://www.nongnu.org/guile-avahi/
Source0:        https://download.savannah.nongnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make, gcc
BuildRequires:  pkgconfig(guile-3.0), pkgconfig(avahi-client), gmp-devel
Requires:       guile30

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global guile_extension_dir %(pkg-config --variable extensiondir guile-3.0)

%description
Guile-Avahi is a set of Avahi bindings for GNU Guile. It allows programmers to
use functionalities of the Avahi client library from Guile Scheme programs.

%prep
%autosetup


%build
%configure \
    guile_snarf=%{_bindir}/guile-snarf3.0
%make_build


%install
%make_install

%check
# -j12 problems
%{__make} %{?_smp_mflags} check -j1

%files
%license COPYING.LESSER COPYING
%doc AUTHORS ChangeLog NEWS README THANKS

%{guile_site_dir}/avahi.scm
%{guile_ccache_dir}/avahi.go
%{guile_site_dir}/avahi/
%{guile_ccache_dir}/avahi/

%{guile_extension_dir}/guile-avahi-v-0.so*

%{_infodir}/%{name}.info.gz
%exclude %{_infodir}/dir


%changelog
%autochangelog
